Package org.xnio

# Class LocalSocketAddress

java.lang.Object
java.net.SocketAddress
org.xnio.LocalSocketAddress

All Implemented Interfaces:
  `Serializable`

public final class LocalSocketAddress extends SocketAddress
A socket address which is a local (UNIX domain) socket.

Author:
  David M. Lloyd
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LocalSocketAddress(String name)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name (filesystem path) of this local socket address.
`String`
`toString()`
Get the string representation of this socket address (its name).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalSocketAddress

public LocalSocketAddress(String name)
Construct a new instance.

Parameters:
  `name` - the name of this socket address

## Method Details

### getName

public String getName()
Get the name (filesystem path) of this local socket address.

Returns:
  the name

### toString

public String toString()
Get the string representation of this socket address (its name).

Overrides:
  `toString` in class `Object`
Returns:
  the string representation